- Qt 5.15
- Qt Widgets
- C++ Classes
- QTreeView
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTreeView

The following members of class QTreeView are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Slots

`(obsolete)` void | sortByColumn(int column)

## Member Function Documentation

### `[slot]` void QTreeView::sortByColumn(int column)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

This function is deprecated. Use sortByColumn(int column, Qt::SortOrder order) instead. Sorts the model by the values in the given column.